﻿#language: ru

@quality_control

Функционал: 03_quality_control. Использование обработки Учет лаб.анализов

Сценарий: 03_quality_control. Подготовка к использованию обработки Учет лаб.анализов
	Дано Я переключаюсь на открытый клиент "qual_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Производственные задания'
	Тогда открылось окно 'Производственные задания'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Производственное задание (создание)'
	И в поле 'от' я ввожу текст '21.09.2019  0:00:00'
	И в поле 'Дата смены' я ввожу текст '21.09.2019'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И я перехожу к закладке "Задание"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование для печати' |
		| 'Российский 50%'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Производственное задание (создание) *'
	И в таблице "Товары" я перехожу к строке:
		|'N'|
		|'1'|
	И я выбираю пункт контекстного меню с именем 'ТоварыКонтекстноеМенюУдалить' на элементе формы с именем "Товары"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Производственное задание (создание) *' в течение 20 секунд
	Тогда открылось окно 'Производственные задания'
	И Я закрываю окно 'Производственные задания'

Сценарий: 03_quality_control. Использование обработки Учет лаб.анализов
	Дано Я подключаюсь под "qual_Киоск"
	И в поле с именем 'Дата' я ввожу текст '21.09.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'       |	
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'Пост сыровара'	|
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Этапы варки'
	Тогда открылось окно 'Этапы варки (21.09.19 Смена24) *: Работа с заданиями'
	И в таблице "Задания" я перехожу к первой строке
	И я нажимаю на кнопку 'Параметры т/п'
	Тогда открылось окно 'Российский 50% / * [Этапы варки сыра]: Учет лабораторных анализов'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель'        |
		| 'Время наливки молока' |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора1"
	И я нажимаю на кнопку с именем "КомандаКалькулятора2"
	И я нажимаю на кнопку 'Подтвердить'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель'        |
		| 'Время прессования' |
	И пауза 1
	И я нажимаю на кнопку с именем "КомандаКалькулятора2"
	И я нажимаю на кнопку с именем "КомандаКалькулятора5"
	И я нажимаю на кнопку 'Подтвердить'
	И я нажимаю на кнопку 'КомандаСохранить'
	Тогда открылось окно 'Этапы варки (21.09.19 Смена24) *: Работа с заданиями'
	И Я закрываю окно 'Этапы варки (21.09.19 Смена24) [*]: Работа с заданиями'
	И я закрыл все окна клиентского приложения
